% This program calls the linear conditions from Proposition 2. 
% Output: Passrate
% It generates Table 11 (and therefore also Table 6). 

clear;clc
load Children_PrivateSetting

starttime=cputime;

pi=[0;0.1;0.2;0.3;0.4;0.5;0.6;0.75;1];
delta=[0;0.1;0.2;0.3;0.4;0.5;0.6;0.75;1];

e=1; % Afriat index = 1

passcollmix=99*ones(H,length(pi),length(delta));
passrate=99*ones(length(pi),length(delta));

for i=1:length(pi)
    for j=1:length(delta)
        for h=1:H
            p_h=p(:,:,h);
            
            assignquant_hm=assignquant4D(:,:,:,h);
            assignquant_h(1:T,:)=assignquant_hm(:,:,1);
            assignquant_h(T+1:2*T,:)=assignquant_hm(:,:,2);
                     
            [passcollmix_h,x,fmin]=prop2(2,p_h,assignquant_h,pi(i,1),delta(j,1),e);

            passcollmix(h,i,j)=passcollmix_h;
        end
        passrate(i,j)=mean(passcollmix(:,i,j));
        disp(['finished for delta ',num2str(j),' and pi ',num2str(i)])
    end
end

disp(['collmix says: IP-problem formulated and solved in ' num2str(cputime-starttime) ' seconds.'])   